#ifndef SCREEN_H
#define SCREEN_H

#include "Calculator.h"
#include "Buffer.h"

const unsigned short SCREEN_WIDTH = 96, SCREEN_HEIGHT = 64,
		SCREEN_PADDING = 10, SCREEN_DEPTH = 1,
		SCREEN_TWO_PADDING = SCREEN_PADDING + SCREEN_PADDING,
		SCREEN_SIZE = SCREEN_WIDTH * SCREEN_HEIGHT,
		SCREEN_STRIDE = SCREEN_WIDTH / 8,
		SCREEN_LENGTH = SCREEN_STRIDE * SCREEN_HEIGHT;

class Screen : public Buffer {
public:
	Screen(Calculator &);
	Screen(Calculator &, int, int);
	~Screen();

private:
	Calculator &calc;
};

#endif

